/*
 * atom_graphnodeinfo.cpp
 *
 *  Created on: Oct 19, 2009
 *      Author: heber
 */

#include "atom_graphnodeinfo.hpp"
#include "memoryallocator.hpp"

/** Constructor of class GraphNodeInfo.
 */
GraphNodeInfo::GraphNodeInfo() : GraphNr(-1), ComponentNr(NULL), LowpointNr(-1), SeparationVertex(false), IsCyclic(false), Ancestor(NULL) {};

/** Destructor of class GraphNodeInfo.
 */
GraphNodeInfo::~GraphNodeInfo()
{
  Free<int>(&ComponentNr, "atom::~atom: *ComponentNr");
};
